$dc17-blue: #1b75bc;
$dc17-red: #bc312e;

$solarized-yellow:    #b58900;
$solarized-orange:    #cb4b16;
$solarized-red:       #dc322f;
$solarized-magenta:   #d33682;
$solarized-violet:    #6c71c4;
$solarized-blue:      #268bd2;
$solarized-cyan:      #2aa198;
$solarized-green:     #859900;


// Bootstrap 4 customization

$brand-inverse: $dc17-blue; // Nav background (amongst other things)
$brand-primary: $dc17-blue;
$font-size-root: 14px;

@import "bootstrap/scss/bootstrap";
@import "font-awesome/scss/font-awesome";
@import "video.js/dist/video-js";
@import "videojs-hls-source-selector/dist/videojs-hls-source-selector";

// The datetimepicker hasn't been ported to Bootstrap 4
$border-radius-base: $border-radius;
$screen-sm-min: map-get($grid-breakpoints, 'sm');
$screen-md-min: map-get($grid-breakpoints, 'md');
$screen-lg-min: map-get($grid-breakpoints, 'lg');
@import "eonasdan-bootstrap-datetimepicker/src/sass/_bootstrap-datetimepicker.scss";

// Bootstrap overrides

h1, h2, h3,
.h1, .h2, .h3 {
  border-bottom: 1px solid #ccc;
  margin-top: 3rem;
  margin-bottom: 1rem;
  padding-bottom: 0.5rem;
  font-family: 'Monoton', 'Arial Black', sans-serif;
  color: $dc17-blue;
  word-spacing: 0.5ex;

  &.card-title {
    border-bottom: none;
    margin: 0;
    padding: 0;
  }
}

h3.popover-title {
  margin: 0;
}

h1, .h1 {
  color: $dc17-red;
}

h2.form-title {
  margin-top: 2rem;
}

.navbar-static-top {
  font-family: 'PT Sans', sans-serif;
  font-weight: bold;
}

.progress {
  margin-top: 1rem;
}

/* latin */
@font-face {
  font-family: 'Monoton';
  font-style: normal;
  font-weight: 400;
  src: local('Monoton'), local('Monoton-Regular'), url(../fonts/Monoton-Regular.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215, U+E0FF, U+EFFD, U+F000;
}
/* cyrillic-ext */
@font-face {
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 400;
  src: local('PT Sans'), local('PTSans-Regular'), url(../fonts/PTSans-Regular1.woff2) format('woff2');
  unicode-range: U+0460-052F, U+20B4, U+2DE0-2DFF, U+A640-A69F;
}
/* cyrillic */
@font-face {
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 400;
  src: local('PT Sans'), local('PTSans-Regular'), url(../fonts/PTSans-Regular2.woff2) format('woff2');
  unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* latin-ext */
@font-face {
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 400;
  src: local('PT Sans'), local('PTSans-Regular'), url(../fonts/PTSans-Regular3.woff2) format('woff2');
  unicode-range: U+0100-024F, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'PT Sans';
  font-style: normal;
  font-weight: 400;
  src: local('PT Sans'), local('PTSans-Regular'), url(../fonts/PTSans-Regular4.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2212, U+2215, U+E0FF, U+EFFD, U+F000;
}

#main {
  margin-top: 2rem;

  table {
    @extend .table;
  }
}

.blue {
  color: $dc17-blue;
}

.red {
  color: $dc17-red;
}

.big-logo {
  margin-top: 1rem;
  margin-bottom: 1rem;

  img {
    max-height: 330px;
  }
}

#more-news-link {
  padding-top: 1rem;
}

#sponsors-section {
  a {
    height: 100%;

    img {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      width: 90%;
      height: 90%;
    }
  }

  .sponsors-platinum {
    height: 150px;
  }

  .sponsors-gold {
    height: 120px;
  }

  .sponsors-silver {
    height: 100px;
  }

  .sponsors-bronze {
    height: 60px;
    margin-top: 20px;
  }

  .sponsors-supporter {
    height: 40px;
  }

  margin-bottom: 3rem;
}

.asteriskField {
  color: $dc17-red;
}

#login-debian-logos {
  margin-top: 1rem;
  margin-bottom: 1rem;
  align-items: center;
  img {
    max-height: 4rem;
  }
}

// Profile form
form #div_id_twitter_handle, form #div_id_github_username {
  display: none;
}

// Registration form
form#registration {
  #hidden-next {
    display: none;
  }

  // Confirmation page
  pre {
    padding: 9px 14px;
    margin-bottom: 14px;
    background-color: #f7f7f9;
    border: 1px solid #e1e1e8;
    border-radius: 4px;
  }
  p.check:before {
    content: '✔ ';
    color: green;
  }
  fieldset {
    margin-bottom: 20px;
  }
  #cost-summary {
    width: 50%;
    min-width: 300px;
    margin: 0 auto;
  }
  div.due {
    margin-left: 20px;
  }
  div.total.due {
    text-align: right;
  }
}

// Front Desk interface
td.boolean {
  .fa {
    font-size: 150%;
  }

  .fa-check-circle {
    color: green;
  }

  .fa-times {
    color: red;
  }
}

li.invoice {
  @extend .alert;
}
li.invoice-draft {
  @extend .alert-danger;
}
li.invoice-pending {
  @extend .alert-warning;
}
li.invoice-paid {
  @extend .alert-success;
}

// Schedule
#main .wafer-schedule {
    table {
        @extend .table-bordered;
        @extend .table-hover;

        $schedule-border: 1px solid #999;

        tr, td, th {
            border: $schedule-border;
        }

        .title {
            @extend .h2;
            background-color: transparentize($dc17-blue, 0.3);
            color: white;
            border: $schedule-border;
        }
        th {
            @extend .h3;
            background-color: transparentize($dc17-red, 0.3);
            color: white;
            a {
                color: white;
            }
        }
        .scheduleslot {
            @extend .align-middle;
            background-color: transparentize($dc17-blue, 0.7);
        }
        .meal {
            @extend .align-middle;
            text-align: center;
            background-color: transparentize($dc17-blue, 0.9);
        }
        .track-blends {
            background-color: transparentize($solarized-yellow, 0.9);
        }
        .track-cloud-and-containers {
            background-color: transparentize($solarized-blue, 0.9);
        }
        .track-debconf-on-debconf {
        }
        .track-debian-science {
            background-color: transparentize($solarized-magenta, 0.9);
        }
        .track-embedded {
            background-color: transparentize($solarized-violet, 0.9);
        }
        .track-packaging-policy-and-infrastructure {
        }
        .track-security {
            background-color: transparentize($solarized-red, 0.9);
        }
        .track-systems-administration-automation-and-orchestration {
            background-color: transparentize($solarized-green, 0.9);
        }
    }
}

footer {
  background-color: transparentize($dc17-blue, 0.9);
  border-top: 2px solid $dc17-blue;
  margin-top: 2rem;
  padding: 1rem;
  color: $gray-light;

  a {
    color: $dc17-blue;

    @include hover-focus {
      color: $gray;
    }
  }

  .logos {
    max-width: 250px;

    a {
      display: block;
      width: 112px;
      height: 70px;
      background-repeat: no-repeat;
      background-position: center;
      background-size: 112px 70px;
    }

    .spi-logo {
      background-image: url(../img/spi.svg);
      background-size: 85px;
    }

    .ffis-logo {
      background-image: url(../img/ffis.png);
    }

    .debian-logo {
      @include float-right();
      width: 70px;
      height: 87px;
      background-image: url(../img/debian-openlogo-nd.svg);
      background-size: 70px 87px;
    }
  }
}

// vim: set et ts=2:
